Read webhook settings
curl --request GET \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/webhooks/2026-03/{appId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/webhooks/2026-03/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2023-11-07T05:31:56Z",
"targetUrl": "<string>",
"throttling": {
"maxConcurrentRequests": 123
},
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Subscriptions
Read webhook settings
Retrieve the webhook settings for the specified app, including the webhook’s target URL, throttle configuration, and create/update date.
GET
/
webhooks
/
2026-03
/
{appId}
/
settings
Read webhook settings
Supported products
Supported products
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
successful operation
The date and time when the webhook settings were created, in ISO 8601 format.
The URL to which the webhook events will be sent. It is a string.
Show child attributes
Show child attributes
The date and time when the webhook settings were last updated, in ISO 8601 format.
Last modified on September 9, 2026
Was this page helpful?